OrcProto.ColumnStatistics (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.ColumnStatistics

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.orc.OrcProto.ColumnStatistics

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, OrcProto.ColumnStatisticsOrBuilder
  Enclosing class:
    OrcProto

      public static final class OrcProto.ColumnStatistics
      extends com.google.protobuf.GeneratedMessage
      implements OrcProto.ColumnStatisticsOrBuilder

  Protobuf type `orc.proto.ColumnStatistics`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrcProto.ColumnStatistics.Builder` Protobuf type `orc.proto.ColumnStatistics`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BINARYSTATISTICS_FIELD_NUMBER`
    `static int` | `BUCKETSTATISTICS_FIELD_NUMBER`
    `static int` | `DATESTATISTICS_FIELD_NUMBER`
    `static int` | `DECIMALSTATISTICS_FIELD_NUMBER`
    `static int` | `DOUBLESTATISTICS_FIELD_NUMBER`
    `static int` | `HASNULL_FIELD_NUMBER`
    `static int` | `INTSTATISTICS_FIELD_NUMBER`
    `static int` | `NUMBEROFVALUES_FIELD_NUMBER`
    `static com.google.protobuf.Parser<OrcProto.ColumnStatistics>` | `PARSER`
    `static int` | `STRINGSTATISTICS_FIELD_NUMBER`
    `static int` | `TIMESTAMPSTATISTICS_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.BinaryStatistics` | `getBinaryStatistics()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.BinaryStatisticsOrBuilder` | `getBinaryStatisticsOrBuilder()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `OrcProto.BucketStatistics` | `getBucketStatistics()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.BucketStatisticsOrBuilder` | `getBucketStatisticsOrBuilder()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `OrcProto.DateStatistics` | `getDateStatistics()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.DateStatisticsOrBuilder` | `getDateStatisticsOrBuilder()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `OrcProto.DecimalStatistics` | `getDecimalStatistics()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `OrcProto.DecimalStatisticsOrBuilder` | `getDecimalStatisticsOrBuilder()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `static OrcProto.ColumnStatistics` | `getDefaultInstance()`
    `OrcProto.ColumnStatistics` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `OrcProto.DoubleStatistics` | `getDoubleStatistics()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `OrcProto.DoubleStatisticsOrBuilder` | `getDoubleStatisticsOrBuilder()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `boolean` | `getHasNull()` `optional bool hasNull = 10;`
    `OrcProto.IntegerStatistics` | `getIntStatistics()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `OrcProto.IntegerStatisticsOrBuilder` | `getIntStatisticsOrBuilder()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `long` | `getNumberOfValues()` `optional uint64 numberOfValues = 1;`
    `com.google.protobuf.Parser<OrcProto.ColumnStatistics>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `OrcProto.StringStatistics` | `getStringStatistics()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.StringStatisticsOrBuilder` | `getStringStatisticsOrBuilder()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `OrcProto.TimestampStatistics` | `getTimestampStatistics()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `OrcProto.TimestampStatisticsOrBuilder` | `getTimestampStatisticsOrBuilder()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasBinaryStatistics()` `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
    `boolean` | `hasBucketStatistics()` `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
    `boolean` | `hasDateStatistics()` `optional .orc.proto.DateStatistics dateStatistics = 7;`
    `boolean` | `hasDecimalStatistics()` `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
    `boolean` | `hasDoubleStatistics()` `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
    `boolean` | `hasHasNull()` `optional bool hasNull = 10;`
    `boolean` | `hasIntStatistics()` `optional .orc.proto.IntegerStatistics intStatistics = 2;`
    `boolean` | `hasNumberOfValues()` `optional uint64 numberOfValues = 1;`
    `boolean` | `hasStringStatistics()` `optional .orc.proto.StringStatistics stringStatistics = 4;`
    `boolean` | `hasTimestampStatistics()` `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static OrcProto.ColumnStatistics.Builder` | `newBuilder()`
    `static OrcProto.ColumnStatistics.Builder` | `newBuilder(OrcProto.ColumnStatistics prototype)`
    `OrcProto.ColumnStatistics.Builder` | `newBuilderForType()`
    `protected OrcProto.ColumnStatistics.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static OrcProto.ColumnStatistics` | `parseDelimitedFrom(InputStream input)`
    `static OrcProto.ColumnStatistics` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.ColumnStatistics` | `parseFrom(byte[] data)`
    `static OrcProto.ColumnStatistics` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.ColumnStatistics` | `parseFrom(com.google.protobuf.ByteString data)`
    `static OrcProto.ColumnStatistics` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.ColumnStatistics` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static OrcProto.ColumnStatistics` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.ColumnStatistics` | `parseFrom(InputStream input)`
    `static OrcProto.ColumnStatistics` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.ColumnStatistics.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<OrcProto.ColumnStatistics> PARSER

    - #### NUMBEROFVALUES_FIELD_NUMBER

          public static final int NUMBEROFVALUES_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### INTSTATISTICS_FIELD_NUMBER

          public static final int INTSTATISTICS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DOUBLESTATISTICS_FIELD_NUMBER

          public static final int DOUBLESTATISTICS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STRINGSTATISTICS_FIELD_NUMBER

          public static final int STRINGSTATISTICS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### BUCKETSTATISTICS_FIELD_NUMBER

          public static final int BUCKETSTATISTICS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DECIMALSTATISTICS_FIELD_NUMBER

          public static final int DECIMALSTATISTICS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DATESTATISTICS_FIELD_NUMBER

          public static final int DATESTATISTICS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### BINARYSTATISTICS_FIELD_NUMBER

          public static final int BINARYSTATISTICS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TIMESTAMPSTATISTICS_FIELD_NUMBER

          public static final int TIMESTAMPSTATISTICS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### HASNULL_FIELD_NUMBER

          public static final int HASNULL_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static OrcProto.ColumnStatistics getDefaultInstance()

    - #### getDefaultInstanceForType

          public OrcProto.ColumnStatistics getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<OrcProto.ColumnStatistics> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasNumberOfValues

          public boolean hasNumberOfValues()

      `optional uint64 numberOfValues = 1;`
      Specified by:
        `hasNumberOfValues` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getNumberOfValues

          public long getNumberOfValues()

      `optional uint64 numberOfValues = 1;`
      Specified by:
        `getNumberOfValues` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasIntStatistics

          public boolean hasIntStatistics()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`
      Specified by:
        `hasIntStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getIntStatistics

          public OrcProto.IntegerStatistics getIntStatistics()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`
      Specified by:
        `getIntStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getIntStatisticsOrBuilder

          public OrcProto.IntegerStatisticsOrBuilder getIntStatisticsOrBuilder()

      `optional .orc.proto.IntegerStatistics intStatistics = 2;`
      Specified by:
        `getIntStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasDoubleStatistics

          public boolean hasDoubleStatistics()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
      Specified by:
        `hasDoubleStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getDoubleStatistics

          public OrcProto.DoubleStatistics getDoubleStatistics()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
      Specified by:
        `getDoubleStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getDoubleStatisticsOrBuilder

          public OrcProto.DoubleStatisticsOrBuilder getDoubleStatisticsOrBuilder()

      `optional .orc.proto.DoubleStatistics doubleStatistics = 3;`
      Specified by:
        `getDoubleStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasStringStatistics

          public boolean hasStringStatistics()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`
      Specified by:
        `hasStringStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getStringStatistics

          public OrcProto.StringStatistics getStringStatistics()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`
      Specified by:
        `getStringStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getStringStatisticsOrBuilder

          public OrcProto.StringStatisticsOrBuilder getStringStatisticsOrBuilder()

      `optional .orc.proto.StringStatistics stringStatistics = 4;`
      Specified by:
        `getStringStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasBucketStatistics

          public boolean hasBucketStatistics()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
      Specified by:
        `hasBucketStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getBucketStatistics

          public OrcProto.BucketStatistics getBucketStatistics()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
      Specified by:
        `getBucketStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getBucketStatisticsOrBuilder

          public OrcProto.BucketStatisticsOrBuilder getBucketStatisticsOrBuilder()

      `optional .orc.proto.BucketStatistics bucketStatistics = 5;`
      Specified by:
        `getBucketStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasDecimalStatistics

          public boolean hasDecimalStatistics()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
      Specified by:
        `hasDecimalStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getDecimalStatistics

          public OrcProto.DecimalStatistics getDecimalStatistics()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
      Specified by:
        `getDecimalStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getDecimalStatisticsOrBuilder

          public OrcProto.DecimalStatisticsOrBuilder getDecimalStatisticsOrBuilder()

      `optional .orc.proto.DecimalStatistics decimalStatistics = 6;`
      Specified by:
        `getDecimalStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasDateStatistics

          public boolean hasDateStatistics()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`
      Specified by:
        `hasDateStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getDateStatistics

          public OrcProto.DateStatistics getDateStatistics()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`
      Specified by:
        `getDateStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getDateStatisticsOrBuilder

          public OrcProto.DateStatisticsOrBuilder getDateStatisticsOrBuilder()

      `optional .orc.proto.DateStatistics dateStatistics = 7;`
      Specified by:
        `getDateStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasBinaryStatistics

          public boolean hasBinaryStatistics()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
      Specified by:
        `hasBinaryStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getBinaryStatistics

          public OrcProto.BinaryStatistics getBinaryStatistics()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
      Specified by:
        `getBinaryStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getBinaryStatisticsOrBuilder

          public OrcProto.BinaryStatisticsOrBuilder getBinaryStatisticsOrBuilder()

      `optional .orc.proto.BinaryStatistics binaryStatistics = 8;`
      Specified by:
        `getBinaryStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasTimestampStatistics

          public boolean hasTimestampStatistics()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
      Specified by:
        `hasTimestampStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getTimestampStatistics

          public OrcProto.TimestampStatistics getTimestampStatistics()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
      Specified by:
        `getTimestampStatistics` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getTimestampStatisticsOrBuilder

          public OrcProto.TimestampStatisticsOrBuilder getTimestampStatisticsOrBuilder()

      `optional .orc.proto.TimestampStatistics timestampStatistics = 9;`
      Specified by:
        `getTimestampStatisticsOrBuilder` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### hasHasNull

          public boolean hasHasNull()

      `optional bool hasNull = 10;`
      Specified by:
        `hasHasNull` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### getHasNull

          public boolean getHasNull()

      `optional bool hasNull = 10;`
      Specified by:
        `getHasNull` in interface `OrcProto.ColumnStatisticsOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static OrcProto.ColumnStatistics parseFrom(com.google.protobuf.ByteString data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.ColumnStatistics parseFrom(com.google.protobuf.ByteString data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.ColumnStatistics parseFrom(byte[] data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.ColumnStatistics parseFrom(byte[] data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.ColumnStatistics parseFrom(InputStream input)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.ColumnStatistics parseFrom(InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static OrcProto.ColumnStatistics parseDelimitedFrom(InputStream input)
                                                              throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static OrcProto.ColumnStatistics parseDelimitedFrom(InputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.ColumnStatistics parseFrom(com.google.protobuf.CodedInputStream input)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.ColumnStatistics parseFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static OrcProto.ColumnStatistics.Builder newBuilder()

    - #### newBuilderForType

          public OrcProto.ColumnStatistics.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static OrcProto.ColumnStatistics.Builder newBuilder(OrcProto.ColumnStatistics prototype)

    - #### toBuilder

          public OrcProto.ColumnStatistics.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected OrcProto.ColumnStatistics.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.